# class Gtk::TreeModelFilter

### Public Class Methods

new(child_model, root=nil) click to toggle source
Calls superclass method

    # File lib/gtk3/tree-model-filter.rb, line 19
    def initialize(child_model, root=nil)
      super(:child_model => child_model, :virtual_root => root)
    end

### Public Instance Methods

convert_child_iter_to_iter(child_iter) click to toggle source

    # File lib/gtk3/tree-model-filter.rb, line 37
    def convert_child_iter_to_iter(child_iter)
      converted, iter = convert_child_iter_to_iter_raw(child_iter)
      return nil unless converted

      iter.model = self
      iter
    end

Also aliased as: convert_child_iter_to_iter_raw
convert_child_iter_to_iter_raw(child_iter)
Alias for: convert_child_iter_to_iter
convert_iter_to_child_iter(iter) click to toggle source

    # File lib/gtk3/tree-model-filter.rb, line 30
    def convert_iter_to_child_iter(iter)
      child_iter = convert_iter_to_child_iter_raw(iter)
      child_iter.model = model
      child_iter
    end

Also aliased as: convert_iter_to_child_iter_raw
convert_iter_to_child_iter_raw(iter)
Alias for: convert_iter_to_child_iter
set_modify_func(*types, &block) click to toggle source

    # File lib/gtk3/tree-model-filter.rb, line 24
    def set_modify_func(*types, &block)
      raise ArgumentError, "one or more types are required" if types.empty?
      set_modify_func_raw(types, &block)
    end

Also aliased as: set_modify_func_raw
set_modify_func_raw(*types, &block)
Alias for: set_modify_func